<?php
require ("../include/getData.php");
require ("../include/common.php");


#########################
# Brad Baker
# 2008.05.12
# CS526 - UCCS - term project
#
# This script allows the user select a record to update, or to delete
#
#########################

# Validate the login

$loginId = $_COOKIE["loginId"];
if (empty($loginId)) 
{ 
	// kick them out if there isn't ANY loginId
    header("Location: ./login.php");
} else 
{	// they are logged in (have a valid loginId
	// Update the cookie for another thirty minutes
	$loginId = $_COOKIE["loginId"];
	setcookie("loginId", "$loginId",Time ()+ 1800 ,"/");
	
	// Pull the userId and userTypeId from the database.  Kick them out if they aren't validated
	$infoArray = getUserInfo($loginId, $dbconn);
	$userId = $infoArray[0];
	$firstName = $infoArray[1];
	$lastname = $infoArray[2];
	$isLoggedIn = true;	
}
if (empty($userId)) 
{ 
	// kick them out if there isn't ANY loginId
    header("Location: ./login.php");
$bad = 1;
}
else
{	
	$sql = "select * from useraccess where userId = $userId and userTypeId in (2,3)";
	$result = pg_exec($dbconn, $sql);
	$theCount = pg_numrows($result);
	if ($theCount == 0) 
	{	
 	   header("Location: ./index.php");
	}
}

#  end of login validation  

if ($_SERVER['REQUEST_METHOD'] == "POST") 
{
	
	$isDeleted = false;
	if ($_POST["theAction"] == "Delete") 
	{
		$trailid = $_POST["trailid"];
		$sql = "delete from bb_trails where trailid=$trailid;";
		//echo $sql;
		pg_exec($dbconn, $sql);
		$isDeleted = true;
	}
	
}

	$tList = "
	
	<table cellpadding=2>
	<tr bgcolor=\"#cccccc\">
		<td colspan=7 align=center><b>Trails</b></td>
	</tr>	
	<tr bgcolor=\"#eeeeee\">
		<td></td>
		<td align=center><b>Trail Name</b></td>
		<td align=center><b>Added By</b></td>
		<td align=center><b>Updated By</b></td>
		<td align=center><b>Description</b></td>
		<td align=center>&nbsp;</td>
	</tr>";
	$sql = "select * from bb_trails order by trailname";
	$result = pg_exec($dbconn, $sql);
	$theCount = pg_numrows($result);
	if($theCount == 0)
	{
		$tList .= "
		<tr>
			<td width=\"60px\">
				
			</td>
			<td align=center colspan=5>
			<font color=red><strong>No trail records found in the system. Please add trail data.</strong></font>
			</td>
			</tr>
		<tr>
			<td colspan=6>
				<hr>
			</td>
		</tr>
			";
	}
	while ($row = pg_fetch_array($result)) 
	{ 
		$trailid = $row["trailid"];
		$tname = $row["trailname"];
		$tlocate = $row["traillocate"];
		$tdesc = $row["traildesc"];
		$adduser = $row["adduser"];
		$upduser = $row["upduser"];
		
		$sql2 = "select firstname,lastname from users where userid = '$adduser' and isactive = 1";
		$result2 = pg_exec($dbconn, $sql2);
		$theCount2 = pg_numrows($result2);
		if ($theCount2 != 0) {
			$row2 = pg_fetch_array($result2);
			$first = $row2["firstname"];
			$last = $row2["lastname"];
			$addname = $first . " " . $last;
		}else
		{
			$addname = "[blank name]";
		}
		
		$sql2 = "select firstname,lastname from users where userid = '$upduser' and isactive = 1";
		$result2 = pg_exec($dbconn, $sql2);
		$theCount2 = pg_numrows($result2);
		if ($theCount2 != 0) {
			$row2 = pg_fetch_array($result2);
			$first = $row2["firstname"];
			$last = $row2["lastname"];
			$updname = $first . " " . $last;
		}else
		{
			$updname = "[blank name]";
		}
	$tList .= "
		<tr>
			<td width=\"60px\">
				<form action='$PHP_SELF' method='POST'>
				<input type=\"submit\" name=\"theAction\" value=\"Delete\"  onClick=\"return confirm('Are you sure you want to delete trail [$tname] from the system? ')\">
				<input type='hidden' name='trailid' value='$trailid'>
				</form>
			</td>
			<td align=center width=160px><a href=\"modTrail2.php?trailid=$trailid\">$tname</a></td>
			<td align=center>$addname</td>
			<td align=center>$updname</td>
			<td align=center  width=200px>$tdesc</td>
			<td align=center>&nbsp;</td>
		</tr>
		<tr>
			<td colspan=6>
				<hr>
			</td>
		</tr>
		";
	}
	$tList .= "</table>";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<title>bbaker - CS526 project</title>
	<link REL="STYLESHEET" TYPE="text/css" HREF="../include/style.css">
	<script language="JavaScript" src="../include/javabb.js" type="text/javascript"></script>
</head>
<body bgcolor="#ffffff">
	<table width=982 border=1 cellpadding=0 cellspacing=0>
		<tr>
			<!-- start Nav -->
			<td valign=top><?php if($bad==0) { include('nav.php'); } ?></td>
			<!-- end Nav -->
			
			<td width=795px valign=top>
				<br>
				<table width=795px>
					<tr>
						<td width=20>&nbsp</td>
						<td colspan=2>
						<div align=center><a href="http://192.168.1.101/"><img src="../images/title.png" border="0"></a></div>
						<center><h3>Update Trail Data</h3></center><br>
						<b>Directions:</b> Click on trail below to update its information.<br><br>
							<table align=center width=100%>
							<tr><td colspan="2">
								<hr>
							</td></tr>
							
							<?php	echo $tList ;	?>
						</td>
						</tr>
						<tr>
							<td>
				
			</td>
		</tr>
	</table>
	</td>
	</tr>
	</table>
	</body>
</html>
