<?php
require ("../include/getData.php");
require ("../include/common.php");

#########################
# Brad Baker
# 2008.05.12
# CS526 - UCCS - term project
#
# This script displays the main page with an image, and the navigation menu
#
#########################

# Validate the login

$bad = 0;
$loginId = $_COOKIE["loginId"];
if (empty($loginId)) 
{ 
	// kick them out if there isn't ANY loginId
    header("Location: ./login.php");
} 
else 
{	// they are logged in (have a valid loginId
	// Update the cookie for another 30 minutes
	$loginId = $_COOKIE["loginId"];
	setcookie("loginId", "$loginId",Time ()+ 1800 ,"/");
	
	// Pull the userId and userTypeId from the database.  Kick them out if they aren't validated
	$infoArray = getUserInfo($loginId, $dbconn);
	$userId = $infoArray[0];
	$firstName = $infoArray[1];
	$lastname = $infoArray[2];
	$isLoggedIn = true;	
}
if (empty($userId)) 
{ 
	// kick them out if there isn't ANY loginId
    	header("Location: ./login.php");
	$bad = 1;
}

#  end of login validation 

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<title>bbaker - CS526 project</title>
	<link REL="STYLESHEET" TYPE="text/css" HREF="../include/style.css">
	<script language="JavaScript" src="../include/javabb.js" type="text/javascript"></script>
</script>
</head>
<body bgcolor="#ffffff">
	<table width=982 border=1 cellpadding=0 cellspacing=0>
		<tr>
			<!-- start Nav -->
			<td valign=top><?php 
					if($bad==0)
					{
						include('nav.php'); 
					}
					?></td>
			<!-- end Nav -->
			
			<td width=795px valign=top>
				<br>
				<table width=795px>
					<tr>
						<td width=20>&nbsp</td>
						<td colspan=2>
						<div align=left><a href="http://192.168.1.101/"><img src="../images/title.png" border="0"></a></div>
						<br>
						<br>
						<img src="../images/mountains3.jpg" border="0">
						<br><br>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</body>
</html>
