<?php
require ("../include/getData.php");
require ("../include/common.php");

#########################
# Brad Baker
# 2008.05.12
# CS526 - UCCS - term project
#
# This script accepts login credentials and directs user to main page
#
#########################

# Validate the login

$loginId = $_COOKIE["loginId"];
if (empty($loginId)) 
{ 
$isLoggedIn = false;
	setcookie("loginId", "$loginId",Time () - 1800 ,"/","192.168.1.101",false);
} 
else 
{	// they are logged in
	// Update the cookie
	$loginId = $_COOKIE["loginId"];
	setcookie("loginId", "$loginId",Time () + 1800 ,"/","192.168.1.101",false);
	
	// redirect them to the main admin page
	header("Location: ./index.php");

}
#  end of login validation  

	// Get the current date/time
	$currDate = date("l, d F Y h:i a",time());	
	$errStr = "";

	// Check to see if user exists in database
if ($_SERVER['REQUEST_METHOD'] == "POST") 
{
	echo $username;
	$username = addslashes($_POST["username"]);
	$password = addslashes($_POST["password"]);

	$sql = "select userid from users where username = '$username' and password = '$password' and isactive = 1";

	$result = pg_exec($dbconn, $sql);
	$exAttempt = 0;
	$sql = "select attemptcount from users where username = '$username'";
			
	$result2 = pg_exec($dbconn, $sql);
	$theCount2 = pg_numrows($result2);

	if ($theCount2 == 1) 
	{
		$row2 = pg_fetch_array($result2);
		$attemptCount = $row2["attemptcount"];
	
		if(!is_numeric($attemptCount))
			$attemptCount = 0;
			
		if($attemptCount > 10)
			$exAttempt = 1;
		else
		{
			$sql = "update users set attemptlast = now(), attemptcount = $attemptCount+1 where username = '$username'";
			pg_exec($dbconn, $sql);
		}
	}

	$theCount = pg_numrows($result);


if($exAttempt == 1)
{
	$errStr =  "Access Denied.  The account is disabled, please contact an administrator.";
}
else
	if ($theCount == 0) 
	{
		$errStr =  "Access Denied.  Please check your username or password.";
	} 
	else 
	{
		// Passed the login.  Set a cookie for the session.
		$row = pg_fetch_array($result);
		$userId = $row["userid"];
		// update the number of times the user logged into the system
		$sql = "update users set totallogons = totallogons + 1, lastlogon = now(), attemptcount = 0 where userId = $userId";
		pg_exec($dbconn, $sql);
		
		// Delete any old users with that userId
		$sql = "delete from loginhistory where userid = $userId";
		pg_exec($dbconn, $sql);
		
		// Insert into the loginHistory table
		$sql = "insert into loginhistory (userid, logindate) values ($userId, now())";
		pg_exec($dbconn, $sql);
		
		$result = pg_exec($dbconn, "select * from loginhistory where loginid = (select max(loginid) from loginhistory)");
		$row = pg_fetch_array($result);
		$loginId = $row["loginid"];

		setcookie("loginId", $loginId,Time ()+ 1800 ,"/");		
		header("Location: index.php");

	}
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<title>bbaker - CS526 project</title>
	<meta name="generator" content="BBEdit 7.1.1">
	<link REL="STYLESHEET" TYPE="text/css" HREF="../includes/style.css">
	<script language="JavaScript" src="../includes/javabb.js" type="text/javascript"></script>
</head>
<body bgcolor="#ffffff" onload="document.submitForm.username.focus()">


      <form action="login.php" method="post" name="submitForm">
<table align=center>
	<tr>
		<td colspan=2 align=center>
<img src="../images/title.png" border=0></td>
	</tr>
	<tr>
		<td colspan=2 align=center>&nbsp;</td>
	</tr>
<?php 
		if (strlen($errStr) > 0) 
		{
			echo "<tr><td colspan=2 align=center><font color=\"#FF0000\" size=-1>$errStr</font></td></tr>";
		}
 ?>
	<tr>
		<td>Username</td>
		<td><input type="text" name="username" value="<?php echo $username ?>"></td>
	</tr>
	<tr>
		<td>Password</td>
		<td><input type="password" name="password" value="<?php echo $password ?>"></td>
	</tr>
	<tr><td colspan=2 align=center><input type="submit"  name="theAction" value="Login"></td></tr>
</table>	

</form>
<br>
			</td>
			</tr>
			</table>
		</td>
		</tr>
	</table>
	</body>
</html>
